


uucp(1)                                                   uucp(1)


1mNAME22m
       uucp - Unix to Unix copy

1mSYNOPSIS22m
       1muucp22m [ options ] sourcefile destinationfile

       1muucp22m [ options ] sourcefile... destinationdirectory

1mDESCRIPTION22m
       The  4muucp24m command copies files between systems.  Each 4mfile24m
       argument is either a pathname on the local machine  or  is
       of the form

              system!path

       which  is interpreted as being on a remote system.  In the
       first form, the contents of the first file are  copied  to
       the  second.   In  the  second  form,  each source file is
       copied into the destination directory.

       Any pathname that does not begin  with  /  or  ~  will  be
       appended to the current directory; this resulting path may
       not exist on a remote system.  A pathname beginning with a
       simple  ~  starts at the UUCP public directory; a pathname
       beginning with ~name starts at the home directory  of  the
       named  user.  The ~ is interpreted on the appropriate sys
       tem.  Note that some shells will interpret a simple  ~  to
       the  local  home  directory  before 4muucp24m sees it; to avoid
       this the ~ must be quoted.

       Shell metacharacters ? * [ ] are interpreted on the appro
       priate  system,  assuming  they  are quoted to prevent the
       shell from interpreting them first.

       The copy does not take place immediately, but is queued up
       for  the  4muucico24m (8) daemon; the daemon is started immedi
       ately unless the 1m-r22m switch is given.   In  any  case,  the
       next  time the remote system is called the file(s) will be
       copied.

1mOPTIONS22m
       The following options may be given to 4muucp.24m

       1m-c22m   Do not copy local source files to  the  spool  direc
            tory.   If they are removed before being processed by
            the 4muucico24m (8) daemon, the copy will fail.  The files
            must be readable by the 4muucico24m (8) daemon, and by the
            invoking user.

       1m-C22m   Copy local source files to the spool directory.  This
            is the default.

       1m-d22m   Create all necessary directories when doing the copy.
            This is the default.



                         Taylor UUCP 1.03                       1





uucp(1)                                                   uucp(1)


       1m-f22m   If any necessary directories do  not  exist  for  the
            destination path, abort the copy.

       1m-g22m 1mgrade22m
            Set  the grade of the file transfer command.  Jobs of
            a higher grade are executed first.  Grades run 0  ...
            9 A ... Z a ... z from high to low.

       1m-m22m   Report  completion or failure of the file transfer by
            4mmail24m (1).

       1m-n22m 1muser22m
            Report completion or failure of the file transfer  by
            4mmail24m (1) to the named user on the remote system.

       1m-r22m   Do  not  start  4muucico24m (8) daemon immediately; merely
            queue up the file transfer for later execution.

       1m-j22m   Print jobid on standard output.  The job may be later
            cancelled  by  passing  the jobid to the 1m-k22m switch of
            4muustat24m (1).  It is possible for some  complex  opera
            tions  to  produce more than one jobid, in which case
            each will be printed on a separate line.  For example
            uucp        sys1!~user1/file1       sys2!~user2/file2
            /usr/spool/uucppublic  will  generate  two   separate
            jobs,  one for the system 4msys124m and one for the system
            4msys2.24m

       1m-x22m 1mtype22m
            Turn on particular debugging  types.   The  following
            types  are  recognized:  abnormal,  chat,  handshake,
            uucpproto, proto, port, config,  spooldir,  execute,
            incoming,  outgoing.  Only abnormal, config, spooldir
            and execute are meaningful for 4muucp.24m

            Multiple types may be given, separated by commas, and
            the  1m-x22m  option  may appear multiple times.  A number
            may also be given, which will turn on that many types
            from the foregoing list; for example, 1m-x22m 1m222m is equiva
            lent to 1m-x22m 1mabnormal,chat.22m

       1m-I22m 1mfile22m
            Set configuration file to use.  This option  may  not
            be available, depending upon how 4muucp24m was compiled.

1mFILES22m
       The  file  names  may be changed at compilation time or by
       the configuration file, so these are only  approximations.

       /usr/lib/uucp/config  Configuration file.
       /usr/spool/uucp  UUCP spool directory.
       /usr/spool/uucp/Log  UUCP log file.
       /usr/spool/uucppublic  Default UUCP public directory.




                         Taylor UUCP 1.03                       2





uucp(1)                                                   uucp(1)


1mSEE22m 1mALSO22m
       mail(1), uux(1), uustat(1), uucico(8)

1mBUGS22m
       Files can not be copied across multiple systems.

       Some  of  the options are dependent on the capabilities of
       the 4muucico24m (8) daemon on the remote system.

       The 4m-n24m and 4m-m24m switches do not  work  when  transferring  a
       file from one remote system to another.

       File  modes are not preserved, except for the execute bit.
       The resulting file is owned by the uucp user.

1mAUTHOR22m
       Ian Lance Taylor (ian@airs.com or uunet!airs!ian)








































                         Taylor UUCP 1.03                       3


