


uustat(1)                                               uustat(1)


1mNAME22m
       uustat - UUCP status inquiry and control

1mSYNOPSIS22m
       1muustat22m 1m-a22m

       1muustat22m [ 1m-s22m system ] [ 1m-u22m user ] [ 1m-o22m hours ] [ 1m-y22m hours ]

       1muustat22m [ 1m-k22m jobid ] [ 1m-r22m jobid ]

       1muustat22m 1m-q22m

       1muustat22m 1m-m22m

       1muustat22m 1m-p22m

1mDESCRIPTION22m
       The 4muustat24m command can display  various  types  of  status
       information about the UUCP system.  It can also be used to
       cancel or rejuvenate requests made by 4muucp24m (1) or 4muux24m (1).

       By  default  4muustat24m  displays  all  jobs queued up for the
       invoking user, as if given the 1m-u22m option with  the  appro
       priate argument.

1mOPTIONS22m
       The following options may be given to 4muustat.24m

       1m-a22m   List all queued jobs.

       1m-s22m 1msystem22m
            List  all  jobs queued up for the named system.  This
            option may be specified multiple times, in which case
            all jobs for all the systems will be listed.  The 1m-u,22m
            1m-o,22m and 1m-y22m options may be used to restrict which jobs
            are listed.

       1m-u22m 1muser22m
            List  all  jobs  queued  up for the named user.  This
            option may be specified multiple times, in which case
            all  jobs  for all the users will be listed.  The 1m-s,22m
            1m-o,22m and 1m-y22m options may be used to restrict which jobs
            are listed.

       1m-o22m 1mhours22m
            List  all  queued jobs older than the given number of
            hours.  The 1m-s,22m 1m-u,22m and 1m-y22m options  may  be  used  to
            further restrict which jobs are listed.

       1m-y22m 1mhours22m
            List all queued jobs younger than the given number of
            hours.  The 1m-s,22m 1m-u,22m and 1m-o22m options  may  be  used  to
            further restrict which jobs are listed.




                         Taylor UUCP 1.03                       1





uustat(1)                                               uustat(1)


       1m-k22m 1mjobid22m
            Kill  the  named job.  The job id is shown by the 1m-s,22m
            1m-u,22m 1m-o,22m or 1m-y22m options, as well as by the 1m-j22m option to
            4muucp24m (1) or 4muux24m (1).  A job may only be killed by the
            user who created the job, or by the UUCP  administra
            tor or the superuser.  The 1m-k22m option may be used mul
            tiple times on the command line to kill several jobs.

       1m-r22m 1mjobid22m
            Rejuvenate  the named job.  This will mark it as hav
            ing been invoked at the current time,  affecting  the
            output of the 1m-o22m or 1m-y22m options and preserving it from
            any automated cleanup daemon.  The job id is shown by
            the  1m-s,22m  1m-u,22m 1m-o,22m or 1m-y22m options, as well as by the 1m-j22m
            option to 4muucp24m (1) or 4muux24m (1).  A  job  may  only  be
            rejuvenated  by  the  user who created the job, or by
            the UUCP administrator  or  the  superuser.   The  1m-r22m
            option may be used multiple times on the command line
            to rejuvenate several jobs.

       1m-q22m   Display the status of commands, executions  and  con
            versations  for all remote systems for which commands
            or executions are queued.

       1m-m22m   Display the status of conversations  for  all  remote
            systems.

       1m-p22m   Display  the  status  of  all  processes holding UUCP
            locks on systems or ports.

       1m-x22m 1mtype22m
            Turn on particular debugging  types.   The  following
            types  are  recognized:  abnormal,  chat,  handshake,
            uucpproto, proto, port, config,  spooldir,  execute,
            incoming,  outgoing.  Only abnormal, config, spooldir
            and execute are meaningful for 4muustat.24m

            Multiple types may be given, separated by commas, and
            the  1m-x22m  option  may appear multiple times.  A number
            may also be given, which will turn on that many types
            from the foregoing list; for example, 1m-x22m 1m222m is equiva
            lent to 1m-x22m 1mabnormal,chat.22m

       1m-I22m 1mfile22m
            Set configuration file to use.  This option  may  not
            be available, depending upon how 4muustat24m was compiled.

1mEXAMPLES22m
       uustat a Display status of all  jobs.   A  sample  output
       line is as follows: bugsA027h bugs ian 19920401 13:50:04
       Executing rmail ian@airs.com (sending 1283 bytes) The for
       mat  is  jobid  system  user queuedate command (size) The
       jobid may be passed to the 1m-k22m or  1m-r22m  options.   The  size
       indicates how much data is to be transferred to the remote



                         Taylor UUCP 1.03                       2





uustat(1)                                               uustat(1)


       system, and is absent for a file receive request.

       The 1m-s,22m 1m-u,22m 1m-o,22m and 1m-y22m options also produce output in  the
       above format.

       uustat  q  Display  status for all systems with queued up
       commands.  A sample output line is as follows: bugs 4C  (1
       hour)  0X  (0  secs)  19920401 14:45:47 Dial failed This
       indicates the system, the number of queued  commands,  the
       age  of  the  oldest  queued command, the number of queued
       local executions, the age of the oldest queued  execution,
       the  date of the last conversation, and the status of that
       conversation.

       uustat m Display conversation status for all remote  sys
       tems.  A sample output line is as follows: bugs 19920401
       15:51:30 Conversation complete This indicates the  system,
       the  date of the last conversation, and the status of that
       conversation.  If the  last  conversation  failed,  4muustat24m
       will indicate how many attempts have been made to call the
       system.  If the retry period is currently preventing calls
       to  that  system,  4muustat24m  also displays the time when the
       next call will be permitted.

       uustat p Display the status of all processes holding UUCP
       locks.   The  output format is system dependent, as 4muustat24m
       simply invokes 4mps24m (1) on each process holding a lock.

1mFILES22m
       The file names may be changed at compilation  time  or  by
       the  configuration file, so these are only approximations.

       /usr/lib/uucp/config  Configuration file.
       /usr/spool/uucp  UUCP spool directory.

1mSEE22m 1mALSO22m
       ps(1), uucp(1), uux(1), uucico(8), uuxqt(8)

1mAUTHOR22m
       Ian Lance Taylor (ian@airs.com or uunet!airs!ian)

















                         Taylor UUCP 1.03                       3


