


uux(1)                                                     uux(1)


1mNAME22m
       uux - Remote command execution over UUCP

1mSYNOPSIS22m
       1muux22m [ options ] command

1mDESCRIPTION22m
       The  4muux24m  command is used to execute a command on a remote
       system, or to execute a command on the local system  using
       files  from  remote  systems.  The command is not executed
       immediately; the request is queued until  the  4muucico24m  (8)
       daemon  calls  the  system and executes it.  The daemon is
       started automatically unless the 1m-r22m switch is given.

       The actual command execution is done by the 4muuxqt24m (8) dae
       mon.

       File  arguments can be gathered from remote systems to the
       execution system, as can standard input.  Standard  output
       may be directed to a file on a remote system.

       The command name may be preceded by a system name followed
       by an exclamation point if it  is  to  be  executed  on  a
       remote system.  An empty system name is taken as the local
       system.

       Each  argument  that  contains  an  exclamation  point  is
       treated as naming a file.  The system which the file is on
       is before the exclamation point, and the pathname on  that
       system  follows  it.  An empty system name is taken as the
       local system; this must be used to transfer a  file  to  a
       command being executed on a remote system.  If the path is
       not absolute, it will be appended to the  current  working
       directory on the local system; the result may not be mean
       ingful on the remote system.  A pathname  may  begin  with
       ~/, in which case it is relative to the UUCP public direc
       tory (usually /usr/spool/uucppublic)  on  the  appropriate
       system.   A  pathname may begin with ~name/, in which case
       it is relative to the home directory of the named user  on
       the appropriate system.

       Standard  input and output may be redirected as usual; the
       pathnames used may contain exclamation points to  indicate
       that  they  are on remote systems.  Note that the redirec
       tion characters must be quoted so that they are passed  to
       4muux24m rather than interpreted by the shell.  Append redirec
       tion (>>) does not work.

       All specified files are gathered together  into  a  single
       directory  before  execution  of the command begins.  This
       means that each file must have a distinct base name.   For
       example,  uux  'sys1!diff  sys2!~user1/foo sys3!~user2/foo
       >!foo.diff' will fail because both files will be copied to
       sys1 and stored under the name foo.



                         Taylor UUCP 1.03                       1





uux(1)                                                     uux(1)


       Arguments  may be quoted by parentheses to avoid interpre
       tation of exclamation points.  This is useful when execut
       ing the 4muucp24m command on a remote system.

1mOPTIONS22m
       The following options may be given to 4muux.24m

       1m-,-p22m Read  standard input and use it as the standard input
            for the command to be executed.

       1m-c22m   Do not copy local files to the spool directory.  This
            is  the  default.   If  they are removed before being
            processed by the 4muucico24m (8)  daemon,  the  copy  will
            fail.   The  files must be readable by the 4muucico24m (8)
            daemon, as well as the by the invoker of 4muux.24m

       1m-C22m   Copy local files to the spool directory.

       1m-l22m   Link local files into the spool directory.  If a file
            can  not  be  linked  because  it  is  on a different
            device, it will be copied unless the 1m-c22m  option  also
            appears  (in  other  words,  use  of  1m-l22m switches the
            default from 1m-c22m to 1m-C).22m  If  the  files  are  changed
            before  being processed by the 4muucico24m (8) daemon, the
            changed versions will be used.   The  files  must  be
            readable  by the 4muucico24m (8) daemon, as well as by the
            invoker of 4muux.24m

       1m-g22m 1mgrade22m
            Set the grade of the file transfer command.  Jobs  of
            a  higher grade are executed first.  Grades run 0 ...
            9 A ... Z a ... z from high to low.

       1m-n22m   Do not send mail about the status of the job, even if
            it fails.

       1m-z22m   Send  mail  about  the  status of the job if an error
            occurs.  For many 4muuxqt24m daemons, including the Taylor
            UUCP 4muuxqt,24m this is the default action; for those, 1m-z22m
            will have no effect.   However,  some  4muuxqt24m  daemons
            will  send  mail  if  the  job succeeds unless the 1m-z22m
            option is used, and some other 4muuxqt24m daemons will not
            send  mail  if  the job fails unless the 1m-z22m option is
            used.

       1m-r22m   Do not  start  the  4muucico24m  (8)  daemon  immediately;
            merely  queue up the execution request for later pro
            cessing.

       1m-j22m   Print jobids on standard output.   A  jobid  will  be
            generated  for  each  file copy operation required to
            perform the operation.  These file copies may be can
            celled  by passing the jobid to the 1m-k22m switch of 4muus24m
            4mtat24m (1), which will make the execution impossible  to



                         Taylor UUCP 1.03                       2





uux(1)                                                     uux(1)


            complete.

       1m-a22m 1maddress22m
            Report job status to the specified email address.

       1m-x22m 1mtype22m
            Turn  on  particular  debugging types.  The following
            types  are  recognized:  abnormal,  chat,  handshake,
            uucpproto,  proto,  port, config, spooldir, execute,
            incoming, outgoing.  Only abnormal, config,  spooldir
            and execute are meaningful for 4muux.24m

            Multiple types may be given, separated by commas, and
            the 1m-x22m option may appear multiple  times.   A  number
            may also be given, which will turn on that many types
            from the foregoing list; for example, 1m-x22m 1m222m is equiva
            lent to 1m-x22m 1mabnormal,chat.22m

       1m-I22m 1mfile22m
            Set  configuration  file to use.  This option may not
            be available, depending upon how 4muux24m was compiled.

1mEXAMPLES22m
       uux z  sys1!rmail  user1  Execute  the  command  ``rmail
       user1''  on  the  system sys1, giving it as standard input
       whatever is given to 4muux24m as standard input.  If a  failure
       occurs,  send  a  message  using  4mmail24m  (1).  uux 'diff c
       sys1!~user1/file1 sys2!~user2/file2 >!file.diff' Fetch the
       two  named files from system sys1 and system sys2 and exe
       cute 4mdiff24m putting the result in file.diff in  the  current
       directory.   The current directory must be writable by the
       4muuxqt24m  (8)  daemon  for  this  to  work.   uux  'sys1!uucp
       ~user1/file1 (sys2!~user2/file2)' Execute 4muucp24m on the sys
       tem sys1 copying file1 (on system  sys1)  to  sys2.   This
       illustrates the use of parentheses for quoting.

1mRESTRICTIONS22m
       The  remote  system  may not permit you to execute certain
       commands.  Many remote systems only permit  the  execution
       of 4mrmail24m and 4mrnews.24m

       Some  of  the options are dependent on the capabilities of
       the 4muuxqt24m (8) daemon on the remote system.

1mFILES22m
       The file names may be changed at compilation  time  or  by
       the  configuration file, so these are only approximations.

       /usr/lib/uucp/config  Configuration file.
       /usr/spool/uucp  UUCP spool directory.
       /usr/spool/uucp/Log  UUCP log file.
       /usr/spool/uucppublic  Default UUCP public directory.





                         Taylor UUCP 1.03                       3





uux(1)                                                     uux(1)


1mSEE22m 1mALSO22m
       mail(1), uustat(1), uucp(1), uucico(8), uuxqt(8)

1mBUGS22m
       Files can not be referenced across multiple systems.

       Too many jobids are output by 1m-j,22m and there is no good way
       to cancel a local execution requiring remote files.

1mAUTHOR22m
       Ian Lance Taylor (ian@airs.com or uunet!airs!ian)














































                         Taylor UUCP 1.03                       4


